Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: libreoffice и open office. тяжелый случай. зависимости.  (Прочитано 436 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн crazyEHOT

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
ubuntu 18.04
снес libreoffice поставил openoffice. все шло нормально. проблем не было. устанавливал kubuntu-desktop, и Ubuntu стала ругаться на зависимости
Код: (bash) [Выделить]
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет libreoffice-style-galaxy самой новой версии (1:6.0.7-0ubuntu0.18.04.10).
Вы можете запустить «apt --fix-broken install» для исправления этих ошибок.
Следующие пакеты имеют неудовлетворённые зависимости:
 libreoffice-core : Зависит: libreoffice-common (> 1:6.0.7) но он не будет установлен
 libreoffice-style-galaxy : Зависит: libreoffice-common (= 1:6.0.7-0ubuntu0.18.04.10) но он не будет установлен
 libreoffice-style-tango : Зависит: libreoffice-common (= 1:6.0.7-0ubuntu0.18.04.10) но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета (или указав решение)
перепробовал все-ничего не выходит
пробовал занаово установить офис и либру, пробовал удалить руками..
помогите пжл
apt --fix-broken install пробовал
Код: (bash) [Выделить]
sudo apt --fix-broken install
 
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
 ca-certificates-java default-jre default-jre-headless fonts-liberation2
 fonts-opensymbol java-common libabw-0.1-1 libatk-wrapper-java
 libatk-wrapper-java-jni libboost-date-time1.65.1 libboost-filesystem1.65.1
 libboost-iostreams1.65.1 libboost-locale1.65.1 libcdr-0.1-1
 libclucene-contribs1v5 libcmis-0.5-5v5 libcolamd2 libe-book-0.1-1
 libel-api-java libeot0 libepubgen-0.1-1 libetonyek-0.1-1 libexttextcat-2.0-0
 libexttextcat-data libfreehand-0.1-1 libhsqldb1.8.0-java libjsp-api-java
 liblangtag-common liblangtag1 libmhash2 libmspub-0.1-1 libmwaw-0.3-3
 libmythes-1.2-0 libodfgen-0.1-1 liborcus-0.13-0 libpagemaker-0.0-0
 libraptor2-0 librasqal3 librdf0 libreoffice-common libreoffice-core
 libreoffice-style-galaxy libreoffice-style-tango librevenge-0.0-0
 libservlet-api-java libservlet3.1-java libsuitesparseconfig5 libvisio-0.1-1
 libwebsocket-api-java libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libxmlsec1
 libxmlsec1-nss lp-solve openjdk-11-jre openjdk-11-jre-headless python3-uno
 uno-libs3 ure
Для их удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
 libreoffice-common
Следующие НОВЫЕ пакеты будут установлены:
 libreoffice-common
Обновлено 0 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
Установлено или удалено не до конца 965 пакетов.
Необходимо скачать 0 B/24,7 MB архивов.
После данной операции объём занятого дискового пространства возрастёт на 79,2 MB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 296252 файла и каталога.)
Подготовка к распаковке …/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.10_all.deb …
Распаковывается libreoffice-common (1:6.0.7-0ubuntu0.18.04.10) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.10_all.deb (--unpack):
 попытка перезаписать «/usr/bin/soffice», который уже имеется в пакете openoffice-debian-menus 4.1.7-9800
rmdir: не удалось удалить '/var/lib/libreoffice/share/prereg/': Нет такого файла или каталога
rmdir: не удалось удалить '/var/lib/libreoffice/share/': Нет такого файла или каталога
rmdir: не удалось удалить '/var/lib/libreoffice/program/': Нет такого файла или каталога
rmdir: не удалось удалить '/var/lib/libreoffice': Нет такого файла или каталога
rmdir: не удалось удалить '/var/lib/libreoffice': Нет такого файла или каталога
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libreoffice-common_1%3a6.0.7-0ubuntu0.18.04.10_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
« Последнее редактирование: 25 Ноябрь 2019, 19:44:45 от zg_nico »

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4712
  • Capture the truth
    • Просмотр профиля
откуда debian взялся?
показывайте
grep -Ev '^#|^$' /etc/apt/sources.list{,.d/*}
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Nvidia 8500GT :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн crazyEHOT

  • Автор темы
  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
приношу извинения, дальнейшие попытки исправить привели к тому что я окончательно зарылся. переустановил систему. поставил 19. прошу прошения за беспокойство

 

Страница сгенерирована за 0.074 секунд. Запросов: 26.